HWCLOCK(5)

NAME
hwclock - settings that affect the behaviour of the hwclock init script

DESCRIPTION
The /etc/default/hwclock file contains settings in POSIX format:

    VAR=VAL

Only one assignment is allowed per line. Comments (starting with '#') are also allowed.

SETTINGS
The following settings can be set.

HCTOSYS_DEVICE
    The hardware clock device you want to use. Defaults to rtc0. It should probably match the CONFIG_RTC_HCTOSYS_DEVICE kernel config option. If you change this, you also need to install a custom udev rule, mirroring /usr/lib/udev/rules.d/85-hwclock.rules. Otherwise, the hardware clock device will be ignored during boot. On almost all systems, this should not be changed.

NOTES
On systems using systemd as init, the hwclock init script is ignored.

SEE ALSO
hwclock(8), systemd-timesyncd.service(8)